summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackware-id.org>2012-12-09 11:00:56 -0500
committer dsomero <xgizzmo@slackbuilds.org>2012-12-11 16:21:59 -0500
commit3e9197465151e43fda80ae6fcbbbed73c4d98647 (patch)
tree0c978e675ea9ad80d7f09c9b165e5d5463f81964 /perl
parenta89f5a5c1856b34161b468d11b0886b68c9e4db6 (diff)
downloadslackbuilds-3e9197465151e43fda80ae6fcbbbed73c4d98647.tar.gz
slackbuilds-3e9197465151e43fda80ae6fcbbbed73c4d98647.tar.xz
perl/perl-File-Tail: Added (read continously updated files)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-File-Tail/README3
-rw-r--r--perl/perl-File-Tail/perl-File-Tail.SlackBuild84
-rw-r--r--perl/perl-File-Tail/perl-File-Tail.info10
-rw-r--r--perl/perl-File-Tail/slack-desc20
4 files changed, 117 insertions, 0 deletions
diff --git a/perl/perl-File-Tail/README b/perl/perl-File-Tail/README
new file mode 100644
index 0000000000..100e131d3f
--- /dev/null
+++ b/perl/perl-File-Tail/README
@@ -0,0 +1,3 @@
+Perl-File-Tail is used for reading from continously updated files,
+such as reading and analysing log files while they are being written,
+which is especialy usefull if you are monitoring the logging process. \ No newline at end of file
diff --git a/perl/perl-File-Tail/perl-File-Tail.SlackBuild b/perl/perl-File-Tail/perl-File-Tail.SlackBuild
new file mode 100644
index 0000000000..4032a6c7e8
--- /dev/null
+++ b/perl/perl-File-Tail/perl-File-Tail.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for File-Tail
+
+# Copyright 2012 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-File-Tail
+VERSION=${VERSION:-0.99.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-File-Tail/perl-File-Tail.info b/perl/perl-File-Tail/perl-File-Tail.info
new file mode 100644
index 0000000000..7a2a1796e4
--- /dev/null
+++ b/perl/perl-File-Tail/perl-File-Tail.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-File-Tail"
+VERSION="0.99.3"
+HOMEPAGE="http://search.cpan.org/~mgrabnar/File-Tail-0.99.3/Tail.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MG/MGRABNAR/File-Tail-0.99.3.tar.gz"
+MD5SUM="ef0fb7bcb4181ba593f4a09940f61d1c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackware-id.org"
diff --git a/perl/perl-File-Tail/slack-desc b/perl/perl-File-Tail/slack-desc
new file mode 100644
index 0000000000..af1fc8d81f
--- /dev/null
+++ b/perl/perl-File-Tail/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-File-Tail: perl-File-Tail (Perl extension for reading continously updated files)
+perl-File-Tail:
+perl-File-Tail: Perl-File-Tail is used for reading from continously updated files,
+perl-File-Tail: such as reading and analysing log files while they are being written,
+perl-File-Tail: which is especialy usefull if you are monitoring the logging process.
+perl-File-Tail:
+perl-File-Tail: http://search.cpan.org/~mgrabnar/File-Tail-0.99.3/Tail.pm
+perl-File-Tail:
+perl-File-Tail:
+perl-File-Tail:
+perl-File-Tail:
+